Apt – ignore updates for a particular package

I’ve had some difficulty after converting from Percona (mysql) Server over to MariaDB, finding that apt wanted to upgrade libmysqlclient18 to a version unsupported by MariaDB.

To fix this I had to tell apt to ignore any updates for that package using pinning to freeze the version number installed.

Create a new file in /etc/apt/preferences.d/ (if Ubuntu >= 10.4) named after your program, with following entry:

Package: program
Pin: version 1.2.3*
Pin-Priority: 1000

*Assuming the version of the program you’re freezing is 1.2.3

Tags

Like this Article? Share it!

About the Author

Author Gravatar
Andy

Andy has been in IT support in the academic industry for over 7 years now, with an in-depth knowledge of both Windows and Unix based systems.

Related Posts

Leave a Comment